Bug 1209472 - scsi-target-utils needs to disable glusterfs support for epel7 ppc64le/aarch64
Summary: scsi-target-utils needs to disable glusterfs support for epel7 ppc64le/aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scsi-target-utils
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Grover
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-04-07 12:48 UTC by Menanteau Guy
Modified: 2015-12-26 23:25 UTC (History)
4 users (show)

Fixed In Version: scsi-target-utils-1.0.55-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-26 23:25:01 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-04-07 12:48:09 UTC
I get a dependency error on glusterfs-api-devel when I try to build scsi-target-utils-1.0.55-2 on epel7 ppc64le (little endian).

Currently, glusterfs is not supported in epel7 ppc64/ppc64le but is supported on
fedora standard release.
Nevertheless, in scsi-target-utils.spec there is:

%ifnarch ppc64
%global with_glfs 1
%endif

leads to a build successful on epel7 ppc64 (big endian) but not on ppc64le (little endian)

A change like the following, on the EPEL source only !!! will be useful until glusterfs is supported on epel7 ppc64 and ppc64le.
 
%ifnarch %{power64}
%global with_glfs 1
%endif

Comment 1 Yaakov Selkowitz 2015-11-26 01:21:51 UTC
Same applies for aarch64, again for epel7 only.

Comment 2 Fedora Update System 2015-12-01 19:40:35 UTC
scsi-target-utils-1.0.55-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ecd70ea01e

Comment 3 Fedora Update System 2015-12-03 04:20:47 UTC
scsi-target-utils-1.0.55-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update scsi-target-utils'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ecd70ea01e

Comment 4 Fedora Update System 2015-12-26 23:24:55 UTC
scsi-target-utils-1.0.55-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.